/// <reference types="node" />
export declare function getDirectories(source: string, projectRoot?: string): string[];
export declare function makeDir(path: string, projectRoot?: string): Promise<void>;
export declare function removeDir(path: string, projectRoot?: string): Promise<void>;
export declare function copyDir(input: {
    source: string;
    target: string;
}, projectRoot?: string): void;
export declare function zipFolder(props: {
    source: string;
    target: string;
    name: string;
}, projectRoot?: string): Promise<void>;
export declare function getFile(path: string, projectRoot?: string): Promise<Buffer>;
export declare function getJsFile(path: string, projectRoot?: string): Promise<any>;
export declare function writeFile(props: {
    path: string;
    content: string;
}, projectRoot?: string): void;
export declare function removeFile(path: string, projectRoot?: string): void;
export declare function copyFile(input: {
    source: string;
    target: string;
}, projectRoot?: string): void;
export declare function getTextContent(path: string, projectRoot?: string): Promise<string>;
