declare type Flag = {
    flag: string;
    default: string;
    description?: string;
};
declare type CommandConfig = {
    command: string;
    action: (flags: Flag[]) => Promise<void>;
    flags: Flag[];
    description?: string;
};
export declare function addCommand(config: CommandConfig): void;
export declare function runProgram(): void;
export declare function printInfoMessage(m: string): void;
export declare function printSuccessMessage(m: string): void;
export declare function printErrorMessage(m: string): void;
export declare function clear(): void;
export declare function hideCursor(): void;
export declare function showCursor(): void;
export declare function printLoadingMessage(msg: string): void;
export {};
